Erro Android Estúdio: (8, 0) Plugin com id ' android ' não encontrado

? user927584 @ | Original: StackOverFlow
---

Eu tenho instalado o Android Studio ( 0.6.1 ) no OS X ( 10.9.3 ) e Gradle 1.1 usando Brew ( bebida fermentada instalar gradle ) . No entanto, eu não posso começar a minha primeira Olá mundo! projeto ... Por favor, me ajudar a resolver este problema

build.gradle:

    buildscript {
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:0.11.+'
    }
}

apply plugin: 'android'

repositories {
    mavenCentral()
}

android {
    compileSdkVersion 19
    buildToolsVersion '19.1'
    defaultConfig {}
    productFlavors {}
}

dependencies {
}

Error message:

Erro: (8, 0) Plugin com id ' android ' não foi encontrado .

http://stackoverflow.com/questions/21646502/getting-build-failed-with-an-exception-android-studio-0-4-3-and-0-4-4 pós e http://stackoverflow.com/questions/18153739/android-studio-plugin-with-id-android-library-not-found post não resolve o problema ...

http://stackoverflow.com/questions/18153739/android-studio-plugin-with-id-android-library-not-found retorna essa mensagem de erro :

Erro: O projeto está usando uma versão sem suporte de Gradle . Por Favor   usar a versão 1.10. Por favor, aponte para uma versão suportada Gradle na   configurações gradle ou em Gradle invólucro do projeto do projeto (se   aplicável. ) Fix Gradle capa e   configurações gradle reimportar projeto

---

Top 5 Responder

1pyus13 @

Parece que você perdeu para adicionar android dependência do plugin gradle em dependencies bloco.

Substitua a seção superior buildScript por isso e sincronizar seu projeto com gradle

 buildscript {
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:0.11.+'
    }
 }

 apply plugin: 'android'

 android {
      compileSdkVersion 19
      buildToolsVersion '19.1.0'
      defaultConfig {
          applicationId 'YOUR_APP_PACKAGE'
          minSdkVersion 9
          targetSdkVersion 17
      }
      buildTypes {
          release {
            runProguard false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
          }
      }
      productFlavors {   }
  }

  dependencies {

   }
2sherin @

arquivo build.gradle dentro da minha pasta " app" : PATH: /home/work/ProjectName/app/build.gradle

android {
     compileSdkVersion 19
     buildToolsVersion '19.1.0'

defaultConfig {
    minSdkVersion 11
    targetSdkVersion 19
    versionCode 1
    versionName '1.0'
}


 dependencies {
  compile 'com.android.support:support-v4:18.0.0'
  compile 'com.android.support:appcompat-v7:+'

 }
}

arquivo build.gradle fora do meu " app" pasta: PATH: /home/work/ProjectName/build.gradle

buildscript {
repositories {
    mavenCentral()
}
dependencies {
    classpath 'com.android.tools.build:gradle:0.11.+'
}
}

allprojects {
repositories {
    mavenCentral()
}
}

Nota Depois de todos estes atualização sincronizar seu projeto com o arquivo gradle

3Bao Le @

Coloque o código abaixo no arquivo build.gradle do recurso principal e sincronizá-lo .

buildscript {
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:1.0.0'
    }
}

allprojects {
    repositories {
        mavenCentral()
    }
}

crédito para http://stackoverflow.com/questions/24204436/error1-0-plugin-with-id-android-not-found/26114190#26114190